import { REQUEST_CONFIG } from '@/config';
import { request, handle } from '@kasite/uni-app-base';

/**
 * 患者已读
 * @param {String} Id
 */
export const PatientRead = async (queryData: any) => {
	let resp = handle.promistHandle(
		await request.doPost(
			`${REQUEST_CONFIG.BASE_URL}wsgw/hcrm/GroupBusiness/PatientRead/callApiJSON.do`,
			queryData
		)
	);
	return handle.catchPromise(resp, () => resp);
};
/**
 * 查询患者组内执行计划详情列表
 * @param PlanUuid  String  计划Id
 * @param TempType  Number  模板类型:1-服务告知，2-出院注意事项，3-复诊计划，4-宣教计划
 */
export const GetPatientGroupPlanDetailList = async (queryData: any) => {
	let resp = handle.promistHandle(
		await request.doPost(
			`${REQUEST_CONFIG.BASE_URL}wsgw/hcrm/GroupBusiness/GetPatientGroupPlanDetailList/callApiJSON.do`,
			queryData
		)
	);
	return handle.catchPromise(resp, () => resp);
};
/**
 * 查询患者执行计划详情
 * @param Id  String  执行计划id
 */
export const GetPatientGroupPlanDetail = async (queryData: any) => {
	let resp = handle.promistHandle(
		await request.doPost(
			`${REQUEST_CONFIG.BASE_URL}wsgw/hcrm/GroupBusiness/GetPatientGroupPlanDetail/callApiJSON.do`,
			queryData
		)
	);
	return handle.catchPromise(resp, () => resp);
};
